---
features:
  primary:
  - name: "Experience the Web IDE Beta and Workspaces"
    available_in: [free, silver, gold]  # Include all supported tiers
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/project/web_ide_beta/'
    video: 'https://www.youtube.com/embed/q_xzzY9GT9c'
    reporter: ericschurter
    stage: create # Prefix this file name with stage-informative-title.yml
    categories:
    - 'Web IDE'
    epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/9189'
    description: |
      We are thrilled to announce the availability of the Web IDE Beta, our next-generation web editor based on Visual Studio Code that delivers powerful new features, a more flexible and familiar interface, and the ability to connect directly to Workspaces. Paired with a cloud runtime, the Web IDE Beta enables more advanced real-time development workflows. Take a look at just some of the new features available today!

      The Web IDE Beta is so powerful we're making it the default Web IDE experience for GitLab.com, and we're eager for your feedback. The Web IDE will continue to be available while we iterate on the Beta. To stop using the Web IDE Beta, go to your [user preferences](https://gitlab.com/-/profile/preferences#web-ide) and select the **Opt out of the Web IDE Beta** checkbox.

      Self-managed instances have access to the Web IDE Beta where it is behind a [feature flag](https://docs.gitlab.com/ee/user/project/web_ide_beta/) disabled by default in GitLab 15.7. 

      Learn more about the Web IDE Beta and what's coming next in our [recent blog post](/blog/2022/12/15/get-ready-for-new-gitlab-web-ide/).

